clc
clear all
diary test4Small.txt
n=100;
nVars = 4;
xdata=zeros(n,nVars);
ydata=zeros(n,1);
for i=1:n
  z = 1;
  for j=1:nVars
    z = z + 10;
    xdata(i,j) = 1+rand*z;
  end
  ydata(i) = 5 + 2 * xdata(i,1) ...
             + xdata(i,2) ...
             + 0.1*xdata(i,3) + 0.01*xdata(i,4);
end
m = nVars+1;
[bestR2,bestMIdx,bestPwrs,bestCoeffs,mdlBest,mdlAll] = ...
  ebrm4Small(xdata,ydata,zeros(1,m),0.5+zeros(1,m),...
  4+zeros(1,m))
% save variables for future use
save("test41Small.mat", "bestR2","bestPwrs", ...
  "bestCoeffs","mdlBest","mdlAll")
diary off