clc
clear all
diary test5.txt
n=1250;
nVars = 5;
xdata=zeros(n,nVars);
ydata=zeros(n,1);
for i=1:n
  z = 1;
  for j=1:nVars
    z = z + 5;
    xdata(i,j) = 1+rand*z;
  end
  ydata(i) = 5 + 2 * xdata(i,1) ...
             + xdata(i,2) ...
             + 0.1*xdata(i,3) ...
             + 0.01*xdata(i,4) ...
             + 0.001*xdata(i,5);
end
m = nVars+1;
[bestR2,bestMIdx,bestPwrs,bestCoeffs,mdlBest,mdlAll] = ...
  ebrm5(xdata,ydata,zeros(1,m),1+zeros(1,m),...
  4+zeros(1,m))
% save variables for future use
save("test51.mat", "bestR2","bestPwrs", ...
  "bestCoeffs","mdlBest","mdlAll")
diary off