clc
clear all
diary test2.txt
n=1250;
xdata=zeros(n,2);
ydata=zeros(n,1);
for i=1:n
  z = 1;
  for j=1:2
    z = z + 10;
    xdata(i,j) = 1+rand*z;
  end
  ydata(i) = 5 + 2 * xdata(i,1) ...
             + 3 * xdata(i,2);
end

[bestR2,bestMIdx,bestPwrs,bestCoeffs,mdlBest,mdlAll] = ...
  ebrm2(xdata,ydata,zeros(1,3),0.5+zeros(1,3),...
  4+zeros(1,3))
% save variables for future use
save("test21.mat", "bestR2","bestPwrs", ...
  "bestCoeffs","mdlBest","mdlAll")
diary off